Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.stream.util
Class XMLInputStreamFilterBase

    java.lang.Object
      |
      +--weblogic.xml.stream.util.XMLInputStreamFilterBase

Direct Known Subclasses:
  XMLSubStreamBase

public class XMLInputStreamFilterBase
extends java.lang.Object
implements XMLInputStreamFilter

This is the implementation of the interface for creating Filters on XMLInputStreams

Version:
  1.0
See Also:
  `XMLInputStream`, `XMLOutputStream`, `XMLInputStreamFilter`

Field Summary
`protected ElementFilter` | `filter`
`protected boolean` | `open`
`protected XMLInputStream` | `parent`

Constructor Summary
`XMLInputStreamFilterBase()`
`XMLInputStreamFilterBase(XMLInputStream parent, ElementFilter filter)`

Method Summary
`void` | `close()`
`XMLInputStream` | `getParent()`
`ReferenceResolver` | `getReferenceResolver()`
`XMLInputStream` | `getSubStream()`
`boolean` | `hasNext()`
`static void` | `main(java.lang.String[] args)`
`protected XMLEvent` | `modify(XMLEvent e)`
`XMLEvent` | `next()`
`XMLEvent` | `peek()`
`void` | `setFilter(ElementFilter filter)`
`void` | `setParent(XMLInputStream parent)`
`void` | `setReferenceResolver(ReferenceResolver resolver)`
`void` | `skip()`
`boolean` | `skip(int elementType)`
`boolean` | `skip(XMLName name)`
`boolean` | `skip(XMLName name, int elementType)`
`void` | `skipElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected XMLInputStream parent

### open

    protected boolean open

### filter

    protected ElementFilter filter

Constructor Detail

### XMLInputStreamFilterBase

    public XMLInputStreamFilterBase()

### XMLInputStreamFilterBase

    public XMLInputStreamFilterBase(XMLInputStream parent,
                                    ElementFilter filter)
                             throws XMLStreamException

Method Detail

### setFilter

    public void setFilter(ElementFilter filter)

### modify

    protected XMLEvent modify(XMLEvent e)
                       throws XMLStreamException

### next

    public XMLEvent next()
                  throws XMLStreamException

### hasNext

    public boolean hasNext()
                    throws XMLStreamException

### skip

    public void skip()
              throws XMLStreamException

### skipElement

    public void skipElement()
                     throws XMLStreamException

### peek

    public XMLEvent peek()
                  throws XMLStreamException

### skip

    public boolean skip(int elementType)
                 throws XMLStreamException

### skip

    public boolean skip(XMLName name)
                 throws XMLStreamException

### skip

    public boolean skip(XMLName name,
                        int elementType)
                 throws XMLStreamException

### getSubStream

    public XMLInputStream getSubStream()
                                throws XMLStreamException

### close

    public void close()
               throws XMLStreamException

### getParent

    public XMLInputStream getParent()

  Specified by:
    getParent in interface XMLInputStreamFilter

### setParent

    public void setParent(XMLInputStream parent)
                   throws XMLStreamException

  Specified by:
    setParent in interface XMLInputStreamFilter

### setReferenceResolver

    public void setReferenceResolver(ReferenceResolver resolver)

### getReferenceResolver

    public ReferenceResolver getReferenceResolver()

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference